<?php
  $ruta="../../";
  include_once($ruta."class/dominio.php");
  $dominio=new dominio;
  include_once($ruta."class/sindicato.php");
  $sindicato=new sindicato;
  include_once($ruta."class/grupo.php");
  $grupo=new grupo;
  include_once($ruta."class/categoriagrupo.php");
  $categoriagrupo=new categoriagrupo;
  include_once($ruta."class/personagrupo.php");
  $personagrupo=new personagrupo;
  include_once($ruta."class/persona.php");
  $persona=new persona;

  include_once($ruta."funciones/funciones.php");
  session_start(); 
  extract($_GET);
  $idgrupo=dcUrl($lblcode);
  $gr=$grupo->muestra($idgrupo); 
  $sin=$sindicato->muestra($gr['idsindicato']);
  $catgru=$categoriagrupo->muestra($gr['idcategoriagrupo']);
?>
<!DOCTYPE html>
<html lang="es">
<head>
    <?php
      $hd_titulo="Socios del grupo";
      include_once($ruta."includes/head_basico.php");
      include_once($ruta."includes/head_tabla.php");
      include_once($ruta."includes/head_tablax.php");
    ?>

    <style type="text/css">   

.tb{
  font-weight: bold;
  color: #268E6A;
}
</style>
</head>
<body>
    <?php
      include_once($ruta."head.php");
    ?>
    <div id="main">
      <div class="wrapper">
        <?php
          $idmenu=1113;
          include_once($ruta."aside.php");
        ?>
        <section id="content">
          <!--breadcrumbs start-->
          <div id="breadcrumbs-wrapper">
            <div class="container">
              <div class="row">
             <fieldset class="informacion">
                    <legend><div class="titulo">
                      <a href="../" class="btn-jh waves-effect waves-light blue darken-4"><i class="fa fa-mail-reply-all"></i></a>
                      <strong>INFORMACIÓN</strong> </div></legend>
                      <div class="col s12 m4 l4">Grupo: <b><?php echo $gr['nombre'] ?></b></div>
                      <div class="col s12 m4 l4">Categoria Grupo: <b><?php echo $catgru['nombre'] ?></b></div>
                      <div class="col s12 m4 l4">Sindicato: <b><?php echo $sin['nombre'] ?></b></div>
                  </fieldset>
              </div>
            </div>


          </div>        
          <div class="container">
            <div class="section">
              <div class="row">
                    <fieldset class="informacion">
                      <legend><div class="titulo"><strong>SOCIOS</strong> </div></legend>
                      <div align="right">
                        <a href="#modal2" class="btn waves-effect waves-light   orange modal-trigger "><i class="fa fa-plus-square"></i> Agregar Socio</a>
                      </div>
                      <div class="col s12 m12 l12">
                        <table id="example3" class="display" cellspacing="0" width="100%">
                          <thead>
                            <tr>
                              <th>Nro</th> 
                              <th>carnet</th> 
                              <th>Persona</th> 
                              <th>Celular</th>
                              <th>Acciones</th> 
                            </tr>
                          </thead>
                          <tbody>
                            <?php
                            $numerar=0;
                            foreach($personagrupo->mostrarTodo("idgrupo=".$idgrupo." and estado=1") as $f)
                            {
                              switch ($f['estado']) {
                                case '0':
                                  $estilo="background-color: #FADBD8;";
                                break;
                                case '1':
                                  $estilo="background-color: #D5F5E3;";
                                break;
                              }
                              $per=$persona->muestra($f['idpersona']);
                               $numerar++;
                            ?>
                            <tr style="<?php echo $estilo ?>">
                              <td><?php echo $numerar ?></td>
                              <td><?php echo $per['carnet'].' '.$per['expedido'] ?></td>
                              <td><?php echo $per['nombre'].' '.$per['paterno'].' '.$per['materno'] ?></td>
                              <td><?php echo $per['celular'] ?></td>
                              <td>
                                <a href="#modal3" class="btn-jh green darken-2  indigo modal-trigger" onclick="cargaDato('<?php echo $f['idpersona'] ;?>');"><i class="fa fa-edit"></i> Editar</a>
                                <button onclick="quitar('<?php echo $f['idpersona']; ?>','<?php echo $f['idpersonagrupo']; ?>');" class="btn-jh red"><i class="fa fa-trash"></i> Desasignar</button>
                              </td>
                            </tr>
                            <?php
                              }
                            ?>
                          </tbody>
                        </table>
                      </div>
                    </fieldset>
              </div> 
            </div>
          </div>
         
          <div class="container">
            <div class="section">           
                <div id="modal2" class="modal">
                  <div class="modal-content">
                    <form class="col s12" id="idformp" action="return false" onsubmit="return false" method="POST">
                        <input type="hidden" name="idpersonaImp" id="idpersonaImp" value="">
                        <input type="hidden" name="idflag" id="idflag" value="">
                        <input type="hidden" name="idgrupo1" id="idgrupo1" value="<?php echo $idgrupo ?>">
                      <div id="smstext" style="font-size:18px;" align="center"></div>
                        <div class="row">                
                              <div class="col s12 m12 l12">
                              <fieldset class="informacion">
                                    <legend><div class="titulo"><strong>Datos de socio</strong> </div></legend>
                                    <div class="row" style="font-size:18px; color:#566573">
                        <div id="valCarnet" class="col s12"></div>
                        <div class="input-field col s8">
                          <input id="idcarnet" name="idcarnet" onchange="cargarCI();" type="text" class="validate">
                          <label for="idcarnet">CARNET</label>
                        </div>
                        <div class="input-field col s4">
                          <label>Expedido</label>
                          <select id="idexp" name="idexp">
                            <option disabled value="">Seleccionar Departamento</option>
                            <?php
                              foreach($dominio->mostrarTodo("tipo='DEP'") as $f)
                              {
                                ?>
                                  <option value="<?php echo $f['short']; ?>"><?php echo $f['nombre']; ?></option>
                                <?php
                              }
                            ?>
                          </select>
                        </div>
                        <div class="input-field col s12 m12 l4">
                          <input id="idnombre" name="idnombre" type="text" class="validate">
                          <label for="idnombre">Nombre(s)</label>
                        </div>
                        <div class="input-field col s12 m12 l4">
                          <input id="idpaterno" name="idpaterno" type="text" class="validate">
                          <label for="idpaterno">Paterno</label>
                        </div>
                        <div class="input-field col s12 m12 l4">
                          <input id="idmaterno" name="idmaterno" type="text" class="validate active">
                          <label for="idmaterno">Materno</label>
                        </div>
                        <div class="input-field col s12 m12 l4">
                          <input id="idnacimiento" name="idnacimiento" type="date" class="validate">
                          <label for="idnacimiento">Fecha Nacimiento</label>
                        </div>
                        <div class="input-field col s12 m12 l4">
                          <input id="idemail" name="idemail" type="email" class="validate">
                          <label for="idemail">Email</label>
                        </div>  
                        <div class="input-field col s12 m12 l4">
                          <input id="idcelular" name="idcelular" type="text" class="validate">
                          <label for="idcelular">Celular(es)</label>
                        </div>
                        <div class="input-field col s12 m12 l4">
                          <label>Sexo</label>
                          <select id="idsexo" name="idsexo">
                              <option value="1">MASCULINO</option>
                              <option value="2">FEMENINO</option>
                          </select>
                        </div>
                        <div class="input-field col s12 m5 l5">
                          <input id="idocupacion" name="idocupacion" type="text" value="SOCIO" class="validate">
                          <label for="idocupacion">Ocupacion</label>
                        </div> 
                                    </div>
                              </fieldset> 
                              </div>
                        </div>
                        <div class="row">                
                              <div class="col s12 m12 l12">
                              <fieldset class="informacion">
                                    <legend><div class="titulo"><strong>Datos domiciliarios</strong> </div></legend>
                                    <div class="row" style="font-size:18px; color:#566573">
                                        <div class="input-field col s12 m12 l4">
                                        <input id="idzona" name="idzona"  type="text" class="validate">
                                        <label for="idzona">Zona</label>
                                      </div>
                                      <div class="input-field col s12 m12 l4">
                                        <input id="iddireccion" name="iddireccion" type="text" class="validate">
                                        <label for="iddireccion">Direccion</label>
                                      </div>
                                      <div class="input-field col s12 m12 l4">
                                        <input id="idfono" name="idfono" type="text" class="validate">
                                        <label for="idfono">telefono</label>
                                      </div>
                                    </div>
                              </fieldset> 
                              </div>
                        </div>
                    </form>
                  </div>
                  <div class="modal-footer">
                   <!-- <a id="btnLimpiar" onclick="limpiar();" class="btn waves-effect waves-light red"><i class="fa fa-clear"></i> Limpiar</a> 
                          <a id="btnSavep" class="btn waves-effect waves-light orange"><i class="fa fa-save"></i> Guardar</a>-->
                           <button class="btn waves-effect waves-light orange" onclick="guardarSocio();">Guardar</button>
                  </div>
                </div>
            </div>
          </div>

          <div class="container">
            <div class="section">           
                <div id="modal3" class="modal">
                  <div class="modal-content">
                    <form class="col s12" id="idformp2" action="return false" onsubmit="return false" method="POST">
                        <input type="hidden" name="idpersonaEdit" id="idpersonaEdit" value="">
                      <div id="smstext" style="font-size:18px;" align="center"></div>
                        <div class="row">                
                              <div class="col s12 m12 l12">
                              <fieldset class="informacion">
                                    <legend><div class="titulo"><strong>Datos de socio</strong> </div></legend>
                                    <div class="row" style="font-size:18px; color:#566573">
                        <div id="valCarnet" class="col s12"></div>
                        <div class="input-field col s8">
                          <input id="idcarnetEdit" name="idcarnetEdit" type="text" class="validate">
                          <label for="idcarnet">CARNET</label>
                        </div>
                        <div class="input-field col s4">
                          <label>Expedido</label>
                          <select id="idexpEdit" name="idexpEdit">
                            <option disabled value="">Seleccionar Departamento</option>
                            <?php
                              foreach($dominio->mostrarTodo("tipo='DEP'") as $f)
                              {
                                ?>
                                  <option value="<?php echo $f['short']; ?>"><?php echo $f['nombre']; ?></option>
                                <?php
                              }
                            ?>
                          </select>
                        </div>
                        <div class="input-field col s12 m12 l4">
                          <input id="idnombreEdit" name="idnombreEdit" type="text" class="validate">
                          <label for="idnombreEdit">Nombre(s)</label>
                        </div>
                        <div class="input-field col s12 m12 l4">
                          <input id="idpaternoEdit" name="idpaternoEdit" type="text" class="validate">
                          <label for="idpaternoEdit">Paterno</label>
                        </div>
                        <div class="input-field col s12 m12 l4">
                          <input id="idmaternoEdit" name="idmaternoEdit" type="text" class="validate active">
                          <label for="idmaternoEdit">Materno</label>
                        </div>
                        <div class="input-field col s12 m12 l4">
                          <input id="idnacimientoEdit" name="idnacimientoEdit" type="date" class="validate">
                          <label for="idnacimientoEdit">Fecha Nacimiento</label>
                        </div>
                        <div class="input-field col s12 m12 l4">
                          <input id="idemailEdit" name="idemailEdit" type="email" class="validate">
                          <label for="idemailEdit">Email</label>
                        </div>  
                        <div class="input-field col s12 m12 l4">
                          <input id="idcelularEdit" name="idcelularEdit" type="text" class="validate">
                          <label for="idcelularEdit">Celular(es)</label>
                        </div>
                        <div class="input-field col s12 m12 l4">
                          <label>Sexo</label>
                          <select id="idsexoEdit" name="idsexoEdit">
                              <option value="1">MASCULINO</option>
                              <option value="2">FEMENINO</option>
                          </select>
                        </div>
                        <div class="input-field col s12 m8 l8">
                          <input id="idocupacionEdit" name="idocupacionEdit" type="text" class="validate">
                          <label for="idocupacionEdit">Ocupacion</label>
                        </div> 
                                    </div>
                              </fieldset> 
                              </div>
                        </div>
                        <div class="row">                
                              <div class="col s12 m12 l12">
                              <fieldset class="informacion">
                                    <legend><div class="titulo"><strong>Datos domiciliarios</strong> </div></legend>
                                    <div class="row" style="font-size:18px; color:#566573">
                                        <div class="input-field col s12 m12 l4">
                                        <input id="idzonaEdit" name="idzonaEdit"  type="text" class="validate">
                                        <label for="idzonaEdit">Zona</label>
                                      </div>
                                      <div class="input-field col s12 m12 l4">
                                        <input id="iddireccionEdit" name="iddireccionEdit" type="text" class="validate">
                                        <label for="iddireccionEdit">Direccion</label>
                                      </div>
                                      <div class="input-field col s12 m12 l4">
                                        <input id="idfonoEdit" name="idfonoEdit" type="text" class="validate">
                                        <label for="idfonoEdit">telefono</label>
                                      </div>
                                    </div>
                              </fieldset> 
                              </div>
                        </div>
                    </form>
                  </div>
                  <div class="modal-footer">
                   <!-- <a id="btnLimpiar" onclick="limpiar();" class="btn waves-effect waves-light red"><i class="fa fa-clear"></i> Limpiar</a> -->
                          <button id="btnactualizar" class="btn waves-effect waves-light blue" onclick="actualizar();"><i class="fa fa-save"></i> MODIFICAR</button>
                  </div>
                </div>
            </div>
          </div>
        </section>
      </div>
    </div>
    <div id="idresultado"></div>
    <!-- end -->
    <!-- jQuery Library -->
    <?php
      include_once($ruta."includes/script_basico.php");
      include_once($ruta."includes/script_tabla.php");
      include_once($ruta."includes/script_tablax.php");
    ?>
    <script type="text/javascript">
      function quitar(idpersona,pergrupo){
        swal({
          title: "¿Esta seguro?",
          text: "Se quitará la persona del grupo",
          type: "warning",
          showCancelButton: true,
          confirmButtonColor: "#2c2a6c",
          confirmButtonText: "Registrar",
          closeOnConfirm: false,
          showLoaderOnConfirm: true
        }, function () {
          $.ajax({
            url: "quitarPersona.php",
            type: "POST",
            data: "idpersona="+idpersona+"&idpresonagrupo="+pergrupo,
            success: function(resp){
              setTimeout(function(){     
                console.log(resp);
                $('#idresultado').html(resp);  
              }, 100); 
            }
          }); 
        });
      }
    $(document).ready(function() {
      $('#example').DataTable( {
        dom: 'Bfrtip',
        buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ]
      });
        $('#example1').DataTable( {
        dom: 'Bfrtip',
        buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ]
      });
          $('#example2').DataTable( {
        dom: 'Bfrtip',
        "order": [[ 0, "desc" ]],
        buttons: [
            
        ]
      });
           $('#example3').DataTable( {
        dom: 'Bfrtip',
        buttons: [
            
        ]
      });
    });
  

    function limpiar()
      {
          document.getElementById("idform").reset();
          document.getElementById('ocultatipobanca').style.display='none';
      }
     document.getElementById('ocultatipobanca').style.display='none';
 

      $("#btnSave").click(function(){
        //$('#btnSave').attr("disabled",true);
        if (validar()) 
        {          
          swal({
            title: "¿Esta seguro?",
            text: "Se generará un nuevo crédito",
            type: "warning",
            showCancelButton: true,
            confirmButtonColor: "#2c2a6c",
            confirmButtonText: "Registrar",
            closeOnConfirm: false,
            showLoaderOnConfirm: true
          }, function () {
            var str = $( "#idform" ).serialize();
            $.ajax({
              url: "guardar.php",
              type: "POST",
              data: str,
              success: function(resp){
                setTimeout(function(){     
                  console.log(resp);
                  $('#idresultado').html(resp);  
                }, 1500); 
              }
            }); 
          });
        }else{
          swal("ERROR","Faltan datos","error");
        }
      });
      function validar(){
        retorno=true;
        banca=$('#idtipobanca').val();
        eje=$('#idfrecuenciapago').val();
        cuotas=$('#idnrocuotas').val();
        desembolso=$('#idfechadesembolso').val();
        pago=$('#idfecha1erpago').val();
        cierre=$('#idfechacierre').val();
        if(banca=="0" || eje=="0" || cuotas=="0" || desembolso=="" || pago=="" || cierre==""){
          retorno=false;
        }
        return retorno;
      }
      function calcular()
      {
        //alert('entra');
        Frepago=$('#idfrecuenciapago').val();
        cuotas=$('#idnrocuotas').val();
        pago1=$('#idfecha1erpago').val();
        if (Frepago=="0" || cuotas=="") 
        {
          document.getElementById("idfechacierre").value = "";
        }else{         
          $.ajax({
            async: true,
            url: "calcularFC.php?idfrecuenciapago="+Frepago+"&cuotas="+cuotas+"&fechaprimero="+pago1,
            type: "get",
            dataType: "html",
            success: function(data){
              var json = eval("("+data+")");

               $("#idfechacierre").val(json.fechacierre);
            }           
          });
        }
      }  


function cargarCI()
{ 
  var carnet = $("#idcarnet").val();
   var grupo = '<?php echo $idgrupo ?>';
  if (carnet!='') 
  {
    $.ajax({
            async: true,
            url: "cargarpersona.php?carnet="+carnet+"&idgrupo="+grupo,
            type: "get",
            dataType: "html",
            success: function(data){
              var json = eval("("+data+")");

               $("#idflag").val(json.tipo);
               $("#idpersonaImp").val(json.idpersonaImp);
               $("#idexp").val(json.expedido);
               $("#idnombre").val(json.nombre);
               $("#idpaterno").val(json.paterno);
               $("#idmaterno").val(json.materno);
               $("#idnacimiento").val(json.fechanac);
               $("#idemail").val(json.email);
               $("#idcelular").val(json.celular);
               $("#idsexo").val(json.sexo);
               $("#idocupacion").val(json.ocupacion);

               $("#idzona").val(json.zona);
               $("#iddireccion").val(json.direccion);
               $("#idfono").val(json.telefono);
            }
          });
 
  }else{
    $("#idflag").val('');
  }
}


$("#btnSavep2222").click(function(){


});
function guardarSocio()
{
  //alert('ingresa');
         var flag = $("#idflag").val();

         if (flag==3) 
          {
               swal("Error","La persona ya hace parte de un grupo","error");
          }else if(flag==4){
              swal("Error","La persona Ya pertenece al grupo que quiere Asignar","error");
          }else{
              var nombreVal1 = $("#idnombre").val();
                var carnetVal1 = $("#idcarnet").val();
                if (nombreVal1 == '' || carnetVal1 == '') 
                {
                   swal("Error","DATOS FALTANTES","error");
                }else {
                  swal({
                    title: "CONFIRMACION",
                    text: "Asignar persona ",
                    type: "warning",
                    showCancelButton: true,
                    confirmButtonColor: "#021e65",
                    confirmButtonText: "Asignar",
                    closeOnConfirm: false
                  }, function () {
                    var str = $( "#idformp" ).serialize();
                   //alert(str);
                    $.ajax({
                      url: "guardarp.php",
                      type: "POST",
                      data: str,
                      success: function(resp){
                        console.log(resp);
                         $("#idresultado").html(resp);
                      }
                    }); 
                  });
                }
          }
}


      function cargaDato(idper)
      {
        //alert('Proceso de desarrollo');
         //alert(idper);
          $.ajax({
                  async: true,
                  url: "cargarpersonaEdit.php?idpersona="+idper,
                  type: "get",
                  dataType: "html",
                  success: function(data){
                    var json = eval("("+data+")");

                     $("#idpersonaEdit").val(json.idpersonaImp);
                     $("#idcarnetEdit").val(json.carnet);
                     $("#idexpEdit").val(json.expedido);
                     $("#idexpEdit").material_select();
                     $("#idnombreEdit").val(json.nombre);
                     $("#idpaternoEdit").val(json.paterno);
                     $("#idmaternoEdit").val(json.materno);
                     $("#idnacimientoEdit").val(json.fechanac);
                     $("#idemailEdit").val(json.email);
                     $("#idcelularEdit").val(json.celular);
                     $("#idsexoEdit").val(json.sexo)
                    $("#idsexoEdit").material_select();;
                     $("#idocupacionEdit").val(json.ocupacion);

                     $("#idzonaEdit").val(json.zona);
                     $("#iddireccionEdit").val(json.direccion);
                     $("#idfonoEdit").val(json.telefono);

                  }
                });
          //expedido(idper);
      }  
     
function actualizar()
{
   var nombreVal1 = $("#idnombreEdit").val();
                var carnetVal1 = $("#idcarnetEdit").val();
                if (nombreVal1 == '' || carnetVal1 == '') 
                {
                   swal("Error","DATOS FALTANTES","error");
                }else {
                  swal({
                    title: "¿Estas seguro?",
                    text: "Actualizar los datos ",
                    type: "warning",
                    showCancelButton: true,
                    confirmButtonColor: "#2c2a6c",
                    confirmButtonText: "SI",
                    closeOnConfirm: false
                  }, function () {
                    var str = $( "#idformp2" ).serialize();
                   // alert(str);
                    $.ajax({
                      url: "actualizarp.php",
                      type: "POST",
                      data: str,
                      success: function(resp){
                        console.log(resp);
                         $("#idresultado").html(resp);
                         //alert(resp);
                      }
                    }); 
                  });
                }
}

    </script>
</body>

</html>